#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
class QFileSystemModel;
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    void viewGotoModelIndex(const QModelIndex &index);

private slots:
    void on_treeView_clicked(const QModelIndex &index);

    void on_cdUpButton_clicked();

private:
    Ui::MainWindow *ui;

    QFileSystemModel * m_fsmodel;
};
#endif // MAINWINDOW_H
